Subject: Re: bug#63469: 29.0.90; project.el doesn't add menu-bar entries

From: Eli Zaretskii <[email-masked]>
Date: Fri, 19 May 2023 21:28:28 +0300

> From: Juri Linkov <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked]
> Date: Fri, 19 May 2023 20:46:55 +0300
> 
> >> +(define-minor-mode project-mode
> >> +  "Toggle display of project menu in the project-aware buffers."
> >> +  :lighter " Pro"
> >> +  :keymap (define-keymap "<menu-bar>" project-mode-menu))
> >
> > If this mode is only for showing the menu, then at least the mode's
> > name should reflect that.
> 
> It can be used for anything.  For example, to display the project name
> on the mode-line.  (Then better to cache the project name in a new
> buffer-local variable.)

I don't see anything but the menu in the patch you suggested.  I
understand that in principle we could do many things there, but if you
are proposing a real patch, not just an initial idea, please show all
of the code you want to include in this mode.